Subject: bug#56641: Deprecate `lsh`

From: Eli Zaretskii <[email-masked]>
Date: Wed, 20 Jul 2022 05:36:30 +0300

> From: Po Lu <[email-masked]>
> Cc: Stefan Kangas <[email-masked]>,  [email-masked],
>   [email-masked]
> Date: Wed, 20 Jul 2022 09:25:49 +0800
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I'm okay with introducing some new special attribute for such cases,
> > i.e. when the use of a function or a variable is discouraged for
> > whatever reasons, so that the byte-compiler could warn about that.
> > Just let's not called them "obsolete", because they aren't.
> 
> Having the byte compiler warn when someone uses lsh would be very
> annoying.

If it's rare enough (as it should be), I don't see the annoyance.  Am
I missing something?